Bug 1889180 - time and date NTP configuration is/is not working
Summary: time and date NTP configuration is/is not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-18 19:33 UTC by Chris Murphy
Modified: 2021-04-06 14:01 UTC (History)
9 users (show)

Fixed In Version: anaconda-34.24.7-1 anaconda-34.24.8-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-06 14:01:22 UTC
Type: Bug


Attachments (Terms of Use)
screenshot (121.58 KB, image/png)
2020-10-18 19:33 UTC, Chris Murphy
no flags Details
anaconda.log (14.13 KB, text/plain)
2020-10-18 19:34 UTC, Chris Murphy
no flags Details
program.log (4.35 KB, text/plain)
2020-10-18 19:34 UTC, Chris Murphy
no flags Details
syslog (503.98 KB, text/plain)
2020-10-18 19:34 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2020-10-18 19:33:47 UTC
Created attachment 1722534 [details]
screenshot

Description of problem:

One part of the UI says "no working NTP server configured" but the configuration screen says it is working.

Version-Release number of selected component (if applicable):
anaconda 33.25.4-1.fc33
Fedora-Server-netinst-x86_64-33-20201018.n.0.iso

How reproducible:
Always

Steps to Reproduce:
1. Boot the image and get to the Time and Date screen
2. open network time configuration
3.

Actual results:

See screenshot.
Bottom banner says it's not a working configuration. But the configuration modal dialog has a green checkbox that this pool is configured and is working.

Expected results:

*shrug* either it is or it isn't working, not both

Additional info:

Comment 1 Chris Murphy 2020-10-18 19:34:17 UTC
Created attachment 1722535 [details]
anaconda.log

Comment 2 Chris Murphy 2020-10-18 19:34:34 UTC
Created attachment 1722536 [details]
program.log

Comment 3 Chris Murphy 2020-10-18 19:34:52 UTC
Created attachment 1722537 [details]
syslog

Comment 4 Chris Murphy 2020-10-18 19:37:24 UTC
If I make no modification to the configuration dialog content, then click "OK", the bottom banner notification goes away. I guess the configuration is not working by default but is semi-self-configuring if the user enters the configuration dialog?

Comment 5 Martin Kolman 2021-01-22 13:09:41 UTC
Can confirm this is still happening on latest Rawhide.

Comment 6 Vendula Poncova 2021-03-19 18:12:44 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/3253

Comment 7 Fedora Update System 2021-03-30 19:36:53 UTC
FEDORA-2021-3db6b68eeb has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3db6b68eeb

Comment 8 Fedora Update System 2021-03-31 01:20:18 UTC
FEDORA-2021-3db6b68eeb has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3db6b68eeb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3db6b68eeb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-04-01 12:58:13 UTC
FEDORA-2021-3db6b68eeb has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3db6b68eeb

Comment 10 Fedora Update System 2021-04-02 01:34:42 UTC
FEDORA-2021-3db6b68eeb has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3db6b68eeb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3db6b68eeb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-04-06 14:01:22 UTC
FEDORA-2021-3db6b68eeb has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.